package sikd.sikd5.sikd5bean.tabel.mgr;

import java.io.Serializable;
import java.util.Objects;

/**
 *
 * @author sora
 */
public class TAccessRight implements Serializable{
//    private long id;
    private MasterMenu menu;
    private boolean reads;
    private boolean creates;
    boolean changes;
    boolean deletes;
   
    

    public TAccessRight() {
    }

    public MasterMenu getMenu() {
        return menu;
    }

    public void setMenu(MasterMenu menu) {
        this.menu = menu;
    }

    public boolean isReads() {
        return reads;
    }

    public void setReads(boolean reads) {
        this.reads = reads;
    }

    public boolean isCreates() {
        return creates;
    }

    public void setCreates(boolean creates) {
        this.creates = creates;
    }

    public boolean isChanges() {
        return changes;
    }

    public void setChanges(boolean changes) {
        this.changes = changes;
    }

    public boolean isDeletes() {
        return deletes;
    }

    public void setDeletes(boolean deletes) {
        this.deletes = deletes;
    }


}
